%define anolis_release 1

Summary:        Intrusion detection environment
Name:           aide
Version:        0.18.6
Release:        %{anolis_release}%{?dist}
URL:            http://sourceforge.net/projects/aide
License:        GPL-2.0-or-later
Source0:        https://github.com/aide/aide/releases/download/v%{version}/aide-%{version}.tar.gz
Source1:        aide.conf
Source3:        aide.logrotate

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  bison flex
BuildRequires:  pcre2-devel
BuildRequires:  libgpg-error-devel gnutls-devel
BuildRequires:  zlib-devel
BuildRequires:  libcurl-devel
BuildRequires:  libacl-devel
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  libattr-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  audit-libs-devel
BuildRequires:  autoconf automake libtool autoconf-archive

Patch1: aide-verbose.patch
Patch2: gnutls.patch


%description
AIDE (Advanced Intrusion Detection Environment) is a file integrity
checker and intrusion detection program.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure  \
  --disable-static \
  --with-config_file=%{_sysconfdir}/aide.conf \
  --with-gnutls \
  --without-gcrypt \
  --with-zlib \
  --with-curl \
  --with-posix-acl \
  --with-selinux \
  --with-xattr \
  --with-e2fsattrs \
  --with-audit
%make_build

%install
%make_install bindir=%{_sbindir}
install -Dpm0644 -t %{buildroot}%{_sysconfdir} %{S:1}
install -Dpm0644 %{S:3} %{buildroot}%{_sysconfdir}/logrotate.d/aide
mkdir -p %{buildroot}%{_localstatedir}/log/aide
mkdir -p -m0700 %{buildroot}%{_localstatedir}/lib/aide

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_sbindir}/aide
%{abidir}/aide-option.list
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/aide.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/aide
%dir %attr(0700,root,root) %{_localstatedir}/lib/aide
%dir %attr(0700,root,root) %{_localstatedir}/log/aide

%files doc
%doc AUTHORS ChangeLog NEWS README contrib/

%changelog
* Mon Feb 17 2025 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.18.6-1
- Update to 0.18.6-1 from 0.16-1
- Remove patches which already exist in code
- Migrated to SPDX license
- Add patches for compile issue
  [Patches cherry-pick from c10s. Original changelog:
  - fix verbose patch
  - get rid of libgcrypt]

* Tue Apr 04 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.16-1
- Init package from upstream
